<?php
/**
 * Upsell buy button content view
 *
 * @package wp-checkout-maximizer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$post    = $this->post;
$setting = $this->setting;
$type    = $setting->getSetting( 'buy_button_type', 'button' );
$action  = $setting->getSetting( 'payment_url', '#' );
?>

<!-- start: .ipchm-upsell-checkout -->
<div class="ipchm-upsell-checkout">
  <!-- start: .ipchm-upsell-checkout-button -->
  <div class="ipchm-upsell-checkout-button">
    <?php
    //
    //Button upload
    if ( $type == 'upload' ) :
      $imgurl = '';
      if ( $imgid = $setting->getSetting( 'buy_button_upload' ) ) {
        $data = wp_get_attachment_image_src( $imgid, 'full' );
        if ( ! empty( $data[0] )) {
          $imgurl = $data[0];
        }
      }
    ?>
    <a href="<?php echo $action; ?>" class="ipchm-upsell-button _button-upload">
      <span class="_button-inner">
        <img src="<?php echo $imgurl; ?>" alt="<?php _e( 'Add to Cart', IPCHM_SLUG ); ?>">
      </span>
    </a>
    <?php
    //
    //Button image
    elseif ( $type == 'image' ) :
      $class  = 'ipchm-upsell-button _button-image';
      $image  = $setting->getSetting( 'buy_button_image', 'button_1_yellow' );
      $imgurl = IPCHM_BASE_URL . 'assets/img/buttons/' . $image . '.png';
      //Size
      $class .= ' _button-size-' . $setting->getSetting( 'buy_button_image_size', 'md' );
    ?>
    <a href="<?php echo $action; ?>" class="<?php echo $class; ?>">
      <span class="_button-inner">
        <img src="<?php echo $imgurl; ?>" alt="<?php _e( 'Add to Cart', IPCHM_SLUG ); ?>">
      </span>
    </a>
    <?php
    //
    //Button basic
    else :
      $class  = 'ipchm-upsell-button _button-basic ipchm-btn';
      //Size
      $class .= ' ipchm-btn-' . $setting->getSetting( 'buy_button_size', 'md' );
      //Style
      $class .= ' ipchm-btn-' . $setting->getSetting( 'buy_button_style', 'flat' );
      //Style color
      $class .= ' ipchm-btn-' . $setting->getSetting( 'buy_button_style_color', 'clean' );
    ?>
    <a href="<?php echo $action; ?>" class="<?php echo $class; ?>">
      <span class="_button-inner">
        <?php echo $setting->getSetting( 'buy_button_label', __( 'Add to Cart', IPCHM_SLUG ) ); ?>
      </span>
    </a>
    <?php
    endif;
    ?>
  </div>
  <!-- end: .ipchm-upsell-checkout-button -->

  <!-- start: .ipchm-upsell-payment -->
  <?php
  $payments = $setting->getSetting( 'payment_support' );
  if ( ! empty( $payments )) :
  ?>
  <div class="ipchm-upsell-payment">
    <?php
    foreach( $payments as $pay ) :
      $paylogo = IPCHM_BASE_URL . 'assets/img/payments/' . $pay . '.png';
    ?>
    <span class="_payment-logo">
      <img src="<?php echo $paylogo; ?>" alt="<?php echo $pay; ?>">
    </span>
    <?php
    endforeach;
    ?>
  </div>
  <?php
  endif;
  ?>
  <!-- end: .ipchm-upsell-payment -->

</div>
<!-- end: .ipchm-upsell-checkout -->
