<?php
/**
 * Cart Button settings
 *
 * @package wp-checkout-maximizer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->setting;
?>
<div id="ipchm-section-cart-button" class="ipchm-tab-content">
  <div class="ipchm-tab-inner">

    <div class="ipchm-title-content ipchm-hide">
      <i class="ipchm-fa ipchm-fa-shopping-cart"></i>
      <div class="ipchm-title-text">
        <h4><?php _e( 'Cart Button', IPCHM_SLUG ); ?></h4>
        <p><?php _e( 'Set or Upload the buy button ', IPCHM_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipchm-fields -->
    <div class="ipchm-fields">

      <?php
      //Payment URL
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-payment-url"><?php _e( 'Payment Link', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">
          <?php
          $url = $setting->getSetting( 'payment_url' );
          ?>
          <input type="text" id="ipchm-imb-payment-url" class="ipchm-input ipchm-input-full" name="payment_url" value="<?php echo $url; ?>">

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the payment url.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Payment support
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-payment-support"><?php _e( 'Payment Support', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">
          <?php
          $supports = (array)$setting->getSetting( 'payment_support', array() );
          $options  = array(
            'visa'        => 'Visa',
            'master_card' => 'Master Card',
            'maestro'     => 'Maestro',
            'amex'        => 'American Express',
            'discover'    => 'Discover',
            'paypal'      => 'Paypal',
          );
          ?>
          <div class="ipchm-input-payment-logo">
            <?php
            foreach( $options as $key => $label )
            {
              $check = '';
              if ( in_array( $key, $supports )) {
                $check = ' checked="checked"';
              }
              echo '<p><label><input type="checkbox" name="payment_support[]" value="' . $key . '"' . $check . '> ' . $label . '</label></p>';
            }
            ?>
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the payment support logo that displayed under the buy button.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <h3 class="ipchm-field-title">
        <?php _e( 'Buy Button', IPCHM_SLUG ); ?>
      </h3>

      <?php
      //Buy Button
      ?>
      <!-- start: .ipchm-buy-button-wrap -->
      <div class="ipchm-buy-button-wrap ipchm-field-row ipchm-field-y">
        <p>
          <?php _e( 'Select button type:', IPCHM_SLUG ); ?>
          <select id="ipchm-imb-buy-button-type" name="buy_button_type" class="ml10">
            <?php
            $type  = $setting->getSetting( 'buy_button_type', 'button' );
            $types = array(
              'button'   => __( 'Button', IPCHM_SLUG ),
              'image'    => __( 'Image', IPCHM_SLUG ),
              'upload'   => __( 'Uploaded Image', IPCHM_SLUG ),
            );
            foreach( $types as $key => $label )
            {
              $sltd = '';
              if ( $key == $type ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>
        </p>
      </div>
      <!-- end: .ipchm-buy-button-wrap -->

      <?php
      $dspButton =
      $dspImage  =
      $dspUpload = ' style="display:none;"';
      if ( $type == 'button' ) {
        $dspButton = '';
      }
      elseif ( $type == 'image' ) {
        $dspImage = '';
      }
      elseif ( $type == 'upload' ) {
        $dspUpload = '';
      }
      ?>
      <!-- Start: .ipchm-field-buy-button -->
      <div id="ipchm-field-buy-button-main" class="ipchm-field-buy-button"<?php echo $dspButton; ?>>

        <?php
        //Button Label
        ?>
        <!-- start: .ipchm-field-row -->
        <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
          <div class="ipchm-form-label">
            <label for="ipchm-imb-buy-button-label"><?php _e( 'Button Label', IPCHM_SLUG ); ?></label>
          </div>
          <div class="ipchm-field">
            <?php
            $label = $setting->getSetting( 'buy_button_label' );
            ?>
            <input type="text" id="ipchm-imb-buy-button-label" class="ipchm-input ipchm-input-full" name="buy_button_label" value="<?php echo $label; ?>">

            <div class="ipchm-help">
              <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
              <div class="ipchm-help-content ipchm-hide">
                <?php _e( 'Set the label for the buy button.', IPCHM_SLUG ); ?>
              </div>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field-row -->

        <?php
        //Button style
        ?>
        <!-- start: .ipchm-field-row -->
        <div class="ipchm-field-row ipchm-field-x">
          <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="ipchm-imb-buy-button-style"><?php _e( 'Button Style', IPCHM_SLUG ); ?></label>
          </div>
          <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

            <select name="buy_button_style" id="ipchm-imb-buy-button-style">
              <?php
              $current = $setting->getSetting( 'buy_button_style', 'flat' );
              $styles  = array(
                'flat'     => __( 'Flat', IPCHM_SLUG ),
                'gradient' => __( 'Gradient', IPCHM_SLUG ),
                'rounded'  => __( 'Rounded', IPCHM_SLUG )
              );
              foreach( $styles as $skey => $label ) {
                $sltd = '';
                if ( $skey == $current ) {
                  $sltd = ' selected="selected"';
                }
                echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
            </select>

            <div class="ipchm-help">
              <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
              <div class="ipchm-help-content ipchm-hide">
                <?php _e( 'The style of the buy button.', IPCHM_SLUG ); ?>
              </div>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field-row -->

        <?php
        //Button style color
        ?>
        <!-- start: .ipchm-field-row -->
        <div class="ipchm-field-row ipchm-field-x">
          <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="ipchm-imb-buy-button-style-color"><?php _e( 'Button Style Color', IPCHM_SLUG ); ?></label>
          </div>
          <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

            <select name="buy_button_style_color" id="ipchm-imb-buy-button-style-color">
              <?php
              $current = $setting->getSetting( 'buy_button_style_color', 'clean' );
              $colors  = array(
                'clean'    => __( 'Clean', IPCHM_SLUG ),
                'dark'     => __( 'Dark', IPCHM_SLUG ),
                'red'      => __( 'Red', IPCHM_SLUG ),
                'blue'     => __( 'Blue', IPCHM_SLUG ),
                'green'    => __( 'Green', IPCHM_SLUG ),
                'orange'   => __( 'Orange', IPCHM_SLUG ),
                'gold'     => __( 'Gold', IPCHM_SLUG ),
                'aqua'     => __( 'Aqua', IPCHM_SLUG ),
                'purple'   => __( 'Purple', IPCHM_SLUG ),
                'lime'     => __( 'Lime', IPCHM_SLUG )
              );
              foreach( $colors as $skey => $label ) {
                $sltd = '';
                if ( $skey == $current ) {
                  $sltd = ' selected="selected"';
                }
                echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
            </select>

            <div class="ipchm-help">
              <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
              <div class="ipchm-help-content ipchm-hide">
                <?php _e( 'The style color of the buy button.', IPCHM_SLUG ); ?>
              </div>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field-row -->

        <?php
        //Button Size
        ?>
        <!-- start: .ipchm-field-row -->
        <div class="ipchm-field-row ipchm-field-x">
            <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="ipchm-imb-buy-button-size"><?php _e( 'Button Size', IPCHM_SLUG ); ?></label>
            </div>
            <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

                <select name="buy_button_size" id="ipchm-imb-buy-button-size">
                <?php
                $current = stripslashes( $this->setting->getSetting( 'buy_button_size', 'md' ));
                $styles  = array(
                    'sm'   => __( 'Small', IPCHM_SLUG ),
                    'md'   => __( 'Medium', IPCHM_SLUG ),
                    'lg'   => __( 'Large', IPCHM_SLUG )
                );
                foreach( $styles as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>

                <div class="ipchm-help">
                  <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
                    <div class="ipchm-help-content ipchm-hide">
                      <?php _e( 'The size of the buy button.', IPCHM_SLUG ); ?>
                  </div>
              </div>
            </div>
        </div>
        <!-- end: .ipchm-field-row -->

      </div>
      <!-- End: .ipchm-field-buy-button -->
      <!-- Start: .ipchm-field-buy-image -->
      <div id="ipchm-field-buy-button-image" class="ipchm-field-buy-button"<?php echo $dspImage; ?>>

        <?php
        //Button Image
        ?>
        <!-- start: .ipchm-field-row -->
        <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
            <div class="ipchm-form-label">
                <label for="ipchm-imb-buy-button-image"><?php _e( 'Button Image', IPCHM_SLUG ); ?></label>
            </div>
            <div class="ipchm-field">

              <div class="ipchm-input-button-image">
                <ul class="ipchm-image-option ipchm-clear">
                  <?php
                  $root    = IPCHM_BASE_URL . 'assets/img/buttons/';
                  $options = IPChm_Options::$BUTTONS;
                  $current = stripslashes( $this->setting->getSetting( 'buy_button_image', 'button_1_yellow' ));

                  foreach( $options as $key => $label )
                  {
                    $sltd = '';
                    if ( $key == $current ) {
                      $sltd = ' _selected';
                    }

                    $src = $root . $key . '.png';
                    echo '<li><span class="_item' . $sltd . '" data-value="' . $key . '">';
                    echo '<img src="' . $src . '" alt="' . $label . '">';
                    echo '<span class="_selected-overlay"><i class="ipchm-fa ipchm-fa-check-circle"></i></span>';
                    echo '</span>';
                    echo '</li>';
                  }
                  ?>
                  <input type="hidden" class="_value-selected" name="buy_button_image" value="<?php echo $current; ?>">
                </ul>
              </div>

              <div class="ipchm-help">
                <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
                <div class="ipchm-help-content ipchm-hide">
                    <?php _e( 'Select image for the buy button.', IPCHM_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipchm-field-row -->

        <?php
        //Button Size
        ?>
        <!-- start: .ipchm-field-row -->
        <div class="ipchm-field-row ipchm-field-x">
            <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="ipchm-imb-buy-button-image-size"><?php _e( 'Button Size', IPCHM_SLUG ); ?></label>
            </div>
            <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

                <select name="buy_button_image_size" id="ipchm-imb-buy-button-image-size">
                <?php
                $current = stripslashes( $this->setting->getSetting( 'buy_button_image_size', 'md' ));
                $styles  = array(
                    'sm'   => __( 'Small', IPCHM_SLUG ),
                    'md'   => __( 'Medium', IPCHM_SLUG ),
                    'lg'   => __( 'Large', IPCHM_SLUG )
                );
                foreach( $styles as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>

                <div class="ipchm-help">
                  <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
                    <div class="ipchm-help-content ipchm-hide">
                      <?php _e( 'The size of the buy button.', IPCHM_SLUG ); ?>
                  </div>
              </div>
            </div>
        </div>
        <!-- end: .ipchm-field-row -->

      </div>
      <!-- End: .ipchm-field-buy-image -->
      <!-- Start: .ipchm-field-buy-upload -->
      <div id="ipchm-field-buy-button-upload" class="ipchm-field-buy-button"<?php echo $dspUpload; ?>>

        <!-- start: .ipchm-field-row -->
        <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
          <!-- start: .ipchm-field -->
          <div class="ipchm-field">

            <div class="ipchm-upload-image ipchm-clear">
                <div class="ipchm-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'buy_button_upload' ) ) {
                      $setimg = true;
                      $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                      echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                      echo '<div class="none ipchm-hide">' . __( 'No image', IPCHM_SLUG ) . '</div>';
                      $reset_dsp = '';
                    } else {
                      echo '<div class="image"></div>';
                      echo '<div class="none">' . __( 'No image', IPCHM_SLUG ) . '</div>';
                      $reset_dsp = ' style="display:none;"';
                    }
                  ?>
                </div>

                <div class="ipchm-image-field">
                  <div class="ipchm-select-image">
                    <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPCHM_SLUG ); ?></p>
                    <a class="ipchm-btn ipchm-btn-secondary ipchm-btn-media ipchm-btn-sm" data-choose="<?php esc_attr_e( 'Choose Image', IPCHM_SLUG ); ?>"
                      data-update="<?php esc_attr_e( 'Choose image', IPCHM_SLUG ); ?>">
                        <i class="ipchm-fa ipchm-fa-image"></i>
                        <?php _e( 'Select Image', IPCHM_SLUG ); ?>
                    </a>
                    <a class="ipchm-btn ipchm-btn-reset ipchm-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                      <i class="ipchm-fa ipchm-fa-ban"></i>
                      <?php _e( 'Clear Image', IPCHM_SLUG ); ?>
                    </a>
                  </div>
                  <input type="hidden" name="upload_type" class="ipchm-upload-type" value="background_image" />
                  <input type="hidden" name="buy_button_upload" class="ipchm-image-id" value="<?php echo $attach_id; ?>" />
                </div>
            </div>

            <div class="ipchm-help">
              <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
              <div class="ipchm-help-content ipchm-hide">
                <?php _e( 'The background image in the order box.', IPCHM_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipchm-field -->
        </div>
        <!-- end: .ipchm-field-row -->

      </div>
      <!-- End: .ipchm-field-buy-upload -->

    </div>
    <!-- end: .ipchm-fields -->

  </div>
</div>
