<?php
/**
 * Discount coupons settings
 *
 * @package wp-checkout-maximizer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->setting;
?>
<div id="ipchm-section-discount-coupons" class="ipchm-tab-content">
  <div class="ipchm-tab-inner">

    <div class="ipchm-title-content ipchm-hide">
      <i class="ipchm-fa ipchm-fa-tag"></i>
      <div class="ipchm-title-text">
        <h4><?php _e( 'Discount Coupons', IPCHM_SLUG ); ?></h4>
        <p><?php _e( 'Add features giving discounts through coupons', IPCHM_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipchm-fields -->
    <div class="ipchm-fields">

      <?php
      //Activating Discount Coupons
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-4 col-md-6 col-sm-12">
          <label for="ipchm-imb-coupon-activate"><?php _e( 'Activate Discount Coupons', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-8 col-md-6 col-sm-12">
          <div class="ipchm-onoff">
              <?php
              $val = $setting->getSetting( 'coupon_activate', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipchm-btn-group">
                <button data-value="true" class="ipchm-btn-onoff<?php echo $clon; ?> ipchm-btn-on" type="button"><?php _e( 'On', IPCHM_SLUG ); ?></button>
                <button data-value="false" class="ipchm-btn-onoff<?php echo $cloff; ?> ipchm-btn-off" type="button"><?php _e( 'Off', IPCHM_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipchm-onoff-value" name="coupon_activate" value="<?php echo $val; ?>" />
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set whether to activating discount coupons.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Discount Value
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x ipchm-help-abs">
        <div class="ipchm-form-label col-lg-4 col-md-6 col-sm-12">
          <label for="ipchm-imb-coupon-discount"><?php _e( 'Discount Value', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-8 col-md-6 col-sm-12">
          <?php
          $value = $setting->getSetting( 'coupon_discount' );
          ?>
          <input type="text" id="ipchm-imb-coupon-discount" class="ipchm-input ipchm-input-full" name="coupon_discount" value="<?php echo $value; ?>">

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the discount value for the coupons.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Coupon Info
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-coupon-info"><?php _e( 'Coupon Info', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">
          <?php
          $info = stripslashes( $setting->getSetting( 'coupon_info' ));
          ?>
          <textarea id="ipchm-imb-coupon-info" class="ipchm-input ipchm-input-full" name="coupon_info"><?php echo $info; ?></textarea>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the info for the discount.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Order Info
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-coupon-order-label"><?php _e( 'Order Item Label', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">
          <?php
          $info = stripslashes( $setting->getSetting( 'coupon_order_label' ));
          ?>
          <input type="text" id="ipchm-imb-coupon-order-label" class="ipchm-input ipchm-input-full" name="coupon_order_label" value="<?php echo $info; ?>">

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the information on the order items list when the coupon is used.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Coupon Codes
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-coupon-codes"><?php _e( 'Coupon Codes', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">
          <?php
          $codes = $setting->getSetting( 'coupon_codes' );
          ?>
          <textarea id="ipchm-imb-coupon-codes" class="ipchm-input ipchm-input-full" name="coupon_codes" rows="8"><?php echo $codes; ?></textarea>

          <p><em><?php _e( 'One line for each coupon code.', IPCHM_SLUG ); ?></em></p>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Determine the list of valid coupon codes. You enter the codes with one line one code. Each user to enter a coupon code then the code will be compared with the values in this list.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

    </div>
    <!-- end: .ipchm-fields -->

  </div>
</div>
