<?php
/**
 * Optin Form settings
 *
 * @package wp-checkout-maximizer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->setting;
?>
<div id="ipchm-section-optin-form" class="ipchm-tab-content">
  <div class="ipchm-tab-inner">

    <div class="ipchm-title-content ipchm-hide">
      <i class="ipchm-fa ipchm-fa-list-alt"></i>
      <div class="ipchm-title-text">
        <h4><?php _e( 'Optin Form', IPCHM_SLUG ); ?></h4>
        <p><?php _e( 'Add optin form in the order box', IPCHM_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipchm-fields -->
    <div class="ipchm-fields">

      <?php
      //Activating Optin Form
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-4 col-md-6 col-sm-12">
          <label for="ipchm-imb-autoresponder-activate"><?php _e( 'Activate Optin Form', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-8 col-md-6 col-sm-12">
          <div class="ipchm-onoff">
              <?php
              $val = $setting->getSetting( 'autoresponder_activate', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipchm-btn-group">
                <button data-value="true" class="ipchm-btn-onoff<?php echo $clon; ?> ipchm-btn-on" type="button"><?php _e( 'On', IPCHM_SLUG ); ?></button>
                <button data-value="false" class="ipchm-btn-onoff<?php echo $cloff; ?> ipchm-btn-off" type="button"><?php _e( 'Off', IPCHM_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipchm-onoff-value" name="autoresponder_activate" value="<?php echo $val; ?>" />
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set whether to activating optin form.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Form Code
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-responder-code"><?php _e( 'Form Code', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">

          <?php
          $code = $setting->getSetting( 'autoresponder_code', '' );
          ?>
          <textarea class="ipchm-input ipchm-input-full ipchm-input-optin" id="ipchm-imb-responder-code" name="autoresponder_code" rows="7"><?php echo $code; ?></textarea>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Code of autoresponder form which can be obtained from the online email marketing you use such as MailChimp, AWeber', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      $hdisplay = ' style="display:none;"';
      if ( ! empty( $code ) ) {
          $hdisplay = '';
      }
      $data = IPChm_Form::parse( $code );
      ?>
      <!-- start: .ipchm-optin-settings -->
      <div class="ipchm-optin-settings"<?php echo $hdisplay; ?>>

        <?php
        //Form Action URL
        ?>
        <!-- start: .ipchm-field-row -->
        <div class="ipchm-field-row ipchm-field-x ipchm-help-abs">
          <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="ipchm-imb-responder-action"><?php _e( 'Action URL', IPCHM_SLUG ); ?></label>
          </div>
          <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
            <?php
            $action = $setting->getSetting( 'autoresponder_action', $data['action'] );
            ?>
            <input type="text" id="ipchm-imb-responder-action" class="ipchm-input ipchm-input-full ipchm-input-autoresponder-action" name="autoresponder_action" value="<?php echo $action; ?>">
            <div class="ipchm-help">
              <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
              <div class="ipchm-help-content ipchm-hide">
                <?php _e( 'The url of the script that will handle the optin form', IPCHM_SLUG ); ?>
              </div>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field-row -->

        <?php
        //Form Email Field
        ?>
        <!-- start: .ipchm-field-row -->
        <div class="ipchm-field-row ipchm-field-x ipchm-help-abs">
          <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="ipchm-imb-responder-email"><?php _e( 'Form Email Field', IPCHM_SLUG ); ?></label>
          </div>
          <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
            <select name="autoresponder_email" id="ipchm-imb-responder-email">
              <option value="0">-- <?php _e( 'Select field', IPCHM_SLUG ); ?> --</option>
                <?php
                $value = stripslashes( $setting->getSetting( 'autoresponder_email', '' ) );
                if ( ! empty( $data['fields'] )) {
                  foreach( $data['fields'] as $field ) {
                    $sltd = '';
                    if ( $field == $value ) {
                      $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                  }
                }
                ?>
              </select>
              <?php
              $label = stripslashes( $setting->getSetting( 'autoresponder_email_label', '' ) );
              ?>
              <input class="ipchm-input ipchm-input-full mt10" type="text" id="ipchm-imb-responder-email-label" value="<?php echo $label; ?>" name="autoresponder_email_label" placeholder="<?php _e( 'Input email label', IPCHM_SLUG ); ?>">
              <div class="ipchm-help">
                <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
                <div class="ipchm-help-content ipchm-hide">
                  <?php _e( 'Set the input of the email optin form. Select a name that represents an email input and specify the title of the email input', IPCHM_SLUG ); ?>
                </div>
              </div>
            </div>
          </div>
          <!-- end: .ipchm-field-row -->

          <?php
          //Form Name Field
          ?>
          <!-- start: .ipchm-field-row -->
          <div class="ipchm-field-row ipchm-field-x ipchm-help-abs">
            <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="ipchm-imb-responder-name"><?php _e( 'Form Name Field', IPCHM_SLUG ); ?></label>
            </div>
            <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
              <div class="ipchm-onoff mr10">
                <?php
                $val = $setting->getSetting( 'autoresponder_name_activate', 'true' );
                if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
                } else {
                  $clon  = ' active';
                  $cloff = '';
                }
                ?>
                <div class="ipchm-btn-group">
                  <button data-value="true" class="ipchm-btn-onoff<?php echo $clon; ?> ipchm-btn-on" type="button"><?php _e( 'On', IPCHM_SLUG ); ?></button>
                  <button data-value="false" class="ipchm-btn-onoff<?php echo $cloff; ?> ipchm-btn-off" type="button"><?php _e( 'Off', IPCHM_SLUG ); ?></button>
                </div>
                <input type="hidden" class="ipchm-onoff-value" name="autoresponder_name_activate" value="<?php echo $val; ?>" />
              </div>

              <select name="autoresponder_name" id="ipchm-imb-responder-name">
                <option value="0">-- <?php _e( 'Select field', IPCHM_SLUG ); ?> --</option>
                <?php
                $value = stripslashes( $setting->getSetting( 'autoresponder_name', '' ) );
                if ( ! empty( $data['fields'] )) {
                  foreach( $data['fields'] as $field ) {
                    $sltd = '';
                    if ( $field == $value ) {
                      $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                  }
                }
                ?>
              </select>
              <?php
              $label = stripslashes( $setting->getSetting( 'autoresponder_name_label', '' ) );
              ?>
              <input class="ipchm-input ipchm-input-full mt10" type="text" id="ipchm-imb-responder-name-label" value="<?php echo $label; ?>" name="autoresponder_name_label" placeholder="<?php _e( 'Input name label', IPCHM_SLUG ); ?>">
              <div class="ipchm-help">
                <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
                <div class="ipchm-help-content ipchm-hide">
                  <?php _e( 'Set the input name of the optin form. You can set whether to display the input name or not. if shown you should choose a name that represents the input name and determine the title of the input name', IPCHM_SLUG ); ?>
                </div>
              </div>
            </div>
          </div>
          <!-- end: .ipchm-field-row -->

      </div>
      <!-- end: .ipchm-optin-settings -->

      <?php
      //Show/Hide Form Label
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-responder-form-label"><?php _e( 'Show/Hide Form Label', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipchm-onoff mr10">
            <?php
            $val = $setting->getSetting( 'autoresponder_form_label', 'true' );
            if ( $val == 'false' ) {
              $clon  = '';
              $cloff = ' active';
            } else {
              $clon  = ' active';
              $cloff = '';
            }
            ?>
            <div class="ipchm-btn-group">
              <button data-value="true" class="ipchm-btn-onoff<?php echo $clon; ?> ipchm-btn-on" type="button"><?php _e( 'Show', IPCHM_SLUG ); ?></button>
              <button data-value="false" class="ipchm-btn-onoff<?php echo $cloff; ?> ipchm-btn-off" type="button"><?php _e( 'Hide', IPCHM_SLUG ); ?></button>
            </div>
            <input type="hidden" class="ipchm-onoff-value" name="autoresponder_form_label" value="<?php echo $val; ?>" />
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Specifies whether to display the label on each input form. If set to off, the label will be displayed as a placeholder in the input.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

    </div>
    <!-- end: .ipchm-fields -->

  </div>
</div>
